/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef ROTATIONMONITORING_H
#define ROTATIONMONITORING_H

#include <QObject>
#include <QSensor>
#include <QOrientationSensor>
#include <QGSettings>

class RotationMonitoring : public QObject
{
    Q_OBJECT
public:
    explicit RotationMonitoring(QObject *parent = nullptr);
    ~RotationMonitoring();
    enum RotationStatus
    {
        UNDEFINED = 0,
        NORMAL = 1,    //水平向下，不改变pc/table模式，不改变前一个信号值
        UPSIDEDOWM = 2,  //
        LEFT = 3,        //
        RIGHT = 4 ,      //
    };
    Q_ENUM(RotationStatus)
    QString getRotationStatus();
    bool isConnectOrientationSensor();
public slots:
    void startSensorMonitoring();
    void rotationsChange();
signals:
    void rotationsChangeSignal(QString rotations);
    void orientationSensorSignal(bool issupport);

private:
    void isNotSupported();
    void isSupported();
    bool connectSensor = false;
    QOrientationSensor *qSensor = nullptr;
    QGSettings *ksmSetting = nullptr;   //状态管理器的gsetting
    bool autoRotation = false;

};

#endif // ROTATIONMONITORING_H
