/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef TABLETMODESWITCHMONITORING_H
#define TABLETMODESWITCHMONITORING_H

#include <QObject>
#include <QGSettings>
#include <QDebug>
#include <ukui/event.h>


class LibinputSwitchEvent;
class TabletModeSwitchMonitoring : public QObject
{
    Q_OBJECT
public:
    explicit TabletModeSwitchMonitoring(QObject *parent = nullptr);
    ~TabletModeSwitchMonitoring();
    bool getTabletModeStatus();
    bool getBuiltinKeyboardStatus();

signals:
    void tabletModeChangeSignal(bool tablet_mode);
    void builtinKeyboardChangeSignal(bool tablet_mode);

private:
    bool modemonitor = false;


    QGSettings *ksmSetting = nullptr;   //状态管理器的gsetting
    LibinputSwitchEvent *libswitch = nullptr;


};

#endif // TABLETMODESWITCHMONITORING_H
