/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef DEVICESSTATUSMONITORING_H
#define DEVICESSTATUSMONITORING_H

#include <QObject>
#include "Rotation_Monitoring/rotationmonitoring.h"
#include "Table_Mode_Switch/tabletmodeswitchmonitoring.h"
class DevicesStatusMonitoring : public QObject
{
    Q_OBJECT
public:
    explicit DevicesStatusMonitoring(QObject *parent = nullptr);
    ~DevicesStatusMonitoring();

    RotationMonitoring * m_rotationStatus = nullptr;
    TabletModeSwitchMonitoring * m_modeStatus = nullptr;
    bool getKeyboardEnableResult();
    QString getRotationStatus();
    bool getTabletModeStatus();
    bool getOrientationSensor();
signals:
    void keyboardEnableSignal(bool enable);
    void rotationsChangeSignal(QString rotations);
    void modeChangeSignal(bool tablet_mode);
private:
    bool orientationSensor = false;
};

#endif // DEVICESSTATUSMONITORING_H
